Subject: Re: bug#68881: 30.0.50; [PATCH] Field properties confuse 'outline-minor-mode'
From: Jim Porter <[email-masked]>
To: Juri Linkov <[email-masked]>
Cc: [email-masked]
Date: Mon, 12 Feb 2024 20:03:38 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2/12/2024 10:25 AM, Juri Linkov wrote:
>>>> @@ -725,7 +725,7 @@ outline-insert-heading
>>>>    		(not (string-match (concat "\\`\\(?:" outline-regexp "\\)")
>>>>    				   (concat head " "))))
>>>>          (setq head (concat head " ")))
>>>> -    (unless (bolp) (end-of-line) (newline))
>>>> +    (unless (bolp) (goto-char (pos-bol)) (newline))
>>> This looks like a typo.
>>
>> So it is. Fixed.
> 
> Thanks.  I see no more problems.

Thanks. Merged as d570864bebf, so closing this now.

(I'll file a new bug later for adding outline-minor-mode support to 
Eshell once I've worked out all the remaining issues.)